org.apache.lucene.codecs.lucene60

## Class Lucene60PointsReader

- java.lang.Object
- - org.apache.lucene.index.PointValues
  - - org.apache.lucene.codecs.PointsReader
    - - org.apache.lucene.codecs.lucene60.Lucene60PointsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

      public class Lucene60PointsReader
      extends PointsReader
      implements Closeable

  Reads point values previously written with `Lucene60PointsWriter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.PointValues

      `PointValues.IntersectVisitor, PointValues.Relation`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.PointValues

      `MAX_DIMENSIONS, MAX_NUM_BYTES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene60PointsReader(SegmentReadState readState)` Sole constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()` Checks consistency of this reader.
    `void` | `close()`
    `long` | `estimatePointCount(String fieldName, PointValues.IntersectVisitor visitor)` Estimate the number of points that would be visited by `PointValues.intersect(java.lang.String, org.apache.lucene.index.PointValues.IntersectVisitor)` with the given `PointValues.IntersectVisitor`.
    `BKDReader` | `getBKDReader(String fieldName)` Returns the underlying `BKDReader`.
    `int` | `getBytesPerDimension(String fieldName)` Returns the number of bytes per dimension
    `Collection<Accountable>` | `getChildResources()` Returns nested resources of this class.
    `int` | `getDocCount(String fieldName)` Returns the total number of documents that have indexed at least one point for this field.
    `byte[]` | `getMaxPackedValue(String fieldName)` Returns maximum value for each dimension, packed, or null if `PointValues.size(org.apache.lucene.index.IndexReader, java.lang.String)` is `0`
    `byte[]` | `getMinPackedValue(String fieldName)` Returns minimum value for each dimension, packed, or null if `PointValues.size(org.apache.lucene.index.IndexReader, java.lang.String)` is `0`
    `int` | `getNumDimensions(String fieldName)` Returns how many dimensions were indexed
    `void` | `intersect(String fieldName, PointValues.IntersectVisitor visitor)` Finds all documents and points matching the provided visitor.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.
    `long` | `size(String fieldName)` Returns the total number of indexed points across all documents in this field.

    - ### Methods inherited from class org.apache.lucene.codecs.PointsReader

      `getMergeInstance`

    - ### Methods inherited from class org.apache.lucene.index.PointValues

      `getDocCount, getMaxPackedValue, getMinPackedValue, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene60PointsReader

          public Lucene60PointsReader(SegmentReadState readState)
                               throws IOException

      Sole constructor
      Throws:
        `IOException`

  - ### Method Detail

    - #### getBKDReader

          public BKDReader getBKDReader(String fieldName)

      Returns the underlying `BKDReader`.
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### intersect

          public void intersect(String fieldName,
                                PointValues.IntersectVisitor visitor)
                         throws IOException

      Description copied from class: `PointValues`
      Finds all documents and points matching the provided visitor. This method does not enforce live documents, so it's up to the caller to test whether each document is deleted, if necessary.
      Specified by:
        `intersect` in class `PointValues`
      Throws:
        `IOException`

    - #### estimatePointCount

          public long estimatePointCount(String fieldName,
                                         PointValues.IntersectVisitor visitor)

      Description copied from class: `PointValues`
      Estimate the number of points that would be visited by `PointValues.intersect(java.lang.String, org.apache.lucene.index.PointValues.IntersectVisitor)` with the given `PointValues.IntersectVisitor`. This should run many times faster than `PointValues.intersect(String, IntersectVisitor)`.
      Specified by:
        `estimatePointCount` in class `PointValues`
      See Also:
        `DocIdSetIterator.cost()`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Description copied from interface: `Accountable`
      Return the memory usage of this object in bytes. Negative values are illegal.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Description copied from interface: `Accountable`
      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      Specified by:
        `getChildResources` in interface `Accountable`
      See Also:
        `Accountables`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Description copied from class: `PointsReader`
      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Specified by:
        `checkIntegrity` in class `PointsReader`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getMinPackedValue

          public byte[] getMinPackedValue(String fieldName)

      Description copied from class: `PointValues`
      Returns minimum value for each dimension, packed, or null if `PointValues.size(org.apache.lucene.index.IndexReader, java.lang.String)` is `0`
      Specified by:
        `getMinPackedValue` in class `PointValues`

    - #### getMaxPackedValue

          public byte[] getMaxPackedValue(String fieldName)

      Description copied from class: `PointValues`
      Returns maximum value for each dimension, packed, or null if `PointValues.size(org.apache.lucene.index.IndexReader, java.lang.String)` is `0`
      Specified by:
        `getMaxPackedValue` in class `PointValues`

    - #### getNumDimensions

          public int getNumDimensions(String fieldName)

      Description copied from class: `PointValues`
      Returns how many dimensions were indexed
      Specified by:
        `getNumDimensions` in class `PointValues`

    - #### getBytesPerDimension

          public int getBytesPerDimension(String fieldName)

      Description copied from class: `PointValues`
      Returns the number of bytes per dimension
      Specified by:
        `getBytesPerDimension` in class `PointValues`

    - #### size

          public long size(String fieldName)

      Description copied from class: `PointValues`
      Returns the total number of indexed points across all documents in this field.
      Specified by:
        `size` in class `PointValues`

    - #### getDocCount

          public int getDocCount(String fieldName)

      Description copied from class: `PointValues`
      Returns the total number of documents that have indexed at least one point for this field.
      Specified by:
        `getDocCount` in class `PointValues`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.